<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Scaffold</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Scaffold</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Scaffold<span class="signature">(dir, scaffolds)</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>The scaffolder that executes JS commands using a <code>scaffold</code> array and
scripts in a specified directory.</p>
<h3>Example of usage</h3>
<pre class="prettyprint source"><code>let Scaffold = new Scaffold('commands/', scaffolds)
let results = Scaffold.run().then( (result) => {
 console.log(results);
 }
</code></pre>
<h3>Scaffold Object</h3>
<pre class="prettyprint source"><code>let scaffolds = [
  {name: &quot;commandName&quot;, value: [&quot;value1&quot;, &quot;value2&quot;]}, // &lt;-- Scaffold object
  {name: &quot;commandName2&quot;, value: &quot;someValue&quot;}          // &lt;-- Scaffold object
  …
]
</code></pre>
<p>Note: the <code>comandName.js</code> and <code>commandName2.js</code> should exists and contain an
exported function that receive the <code>value</code> and the <code>scaffold object</code>.  The
returned value of the scaffold script will be inscribe in the scaffold
object in the <code>result</code> field.</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Scaffold"><span class="type-signature"></span>new Scaffold<span class="signature">(dir, scaffolds)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>dir</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>The directory of the commands (default: &quot;commands/&quot;)</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>scaffolds</code></td>
            

            <td class="type">
            
                
<span class="param-type">array</span>


            
            </td>

            

            

            <td class="description last"><p>The scaffold structure to be executed.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="scaffold.js.html">scaffold.js</a>, <a href="scaffold.js.html#line39">line 39</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="_executeCommand"><span class="type-signature"></span>_executeCommand<span class="signature">(command, value, scaffold)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Execute the corresponding command that stands in the specified commands
directory.</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>command</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>The command to execute (the JS script without the extension).</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>The value to pass to the command that will be executed.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>scaffold</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last"><p>The current scaffold structure (useful to check
and see if another command was executed or not).</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="scaffold.js.html">scaffold.js</a>, <a href="scaffold.js.html#line62">line 62</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="run"><span class="type-signature"></span>run<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Run the initialized scaffolds</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="scaffold.js.html">scaffold.js</a>, <a href="scaffold.js.html#line44">line 44</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Menu.html">Menu</a></li><li><a href="Scaffold.html">Scaffold</a></li><li><a href="Scavader.html">Scavader</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.2</a> on Fri Jun 07 2019 14:43:53 GMT+0100 (GMT+01:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>